11/16/18 00:59 AM  

RingCentral Phone Mobile - System Requirements

« Go Back

Article

 
SummaryWith the RingCentral Phone for Mobile, you can manage your business from anywhere. You can download the RingCentral Phone for Mobile directly with your phone or through the RingCentral Online account. Make sure that your devices have at least the minimum system requirements for a smooth user experience.
Details

 

RingCentral Phone Mobile - System Requirements

 

System Requirements 

  • • iOS: iOS 10 and higher (iOS 12, iPhone X supported)

  • • Android: Android OS 4.4 and higher (Android P supported)


For HD Voice using the OPUS Codec 

  • • iOS: iPhone 4s and above, iPad 2 and higher

  • • Android: Dual-core: 1.5 GHz and higher, Quad-core: any GHz

 

IMPORTANT: RingCentral will require TLS 1.2 and later encryption protocol beginning December 1, 2018.

Android versions older than 4.4 don’t support TLS 1.1/1/2 and therefore are no longer supported by the RingCentral mobile apps. Applications such as RingCentral Phone, RingCentral App (Glip), and RingCentral Meetings running on these devices will stop working when TLS 1.0/1.1 are disabled.

Android users running 4.4.x version and older are suggested to upgrade to the latest version of the Android OS.

 

See Also:

System Requirements | RingCentral
RingCentral Phone Mobile - Deprecate iOS 9 Support

Ranking
Was this information helpful?
Yes
No
Somewhat

Tell us why and what can we do to improve this information